Method: media.upload

Creates a new Document resource and ingests the manuscript using media upload or Google Drive.

HTTP request

  • Upload URI, for media upload requests:
    POST https://deepreview.googleapis.com/upload/v1/documents
  • Metadata URI, for metadata-only requests:
    POST https://deepreview.googleapis.com/v1/documents

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
requestId

string

Optional. Idempotency identifier for network retry safety (AIP-155). Must be a valid UUID4 string.

documentId

string

Optional. The ID to use for the document, which will become the final component of the document's resource name.

If not provided, a unique server-generated UUID will be assigned.

Request body

The request body contains an instance of Document.

Response body

If successful, the response body contains an instance of Document.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/drive.file
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the OAuth 2.0 Overview.